package com.rjconsultores.ventaboletos.web.utilerias.render;


import java.text.DecimalFormat;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoCancelacion;

public class RenderOrgaoCancelacion implements ListitemRenderer {

    @Override
	public void render(Listitem lstm, Object o) throws Exception {
        OrgaoCancelacion orgaoCancelacion = (OrgaoCancelacion) o;
        DecimalFormat df = new DecimalFormat("#0.00");

        Listcell lc = new Listcell(orgaoCancelacion.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(df.format(orgaoCancelacion.getPorcmulta()));
        lc.setParent(lstm);
        lc.setStyle("text-align:right");

        lc = new Listcell(df.format(orgaoCancelacion.getPorccambio()));
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getIndPermiteDevolucaoTotalRioCard() != null && orgaoCancelacion.getIndPermiteDevolucaoTotalRioCard() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
        lc.setParent(lstm);
        lc.setStyle("text-align:right");

        lc = new Listcell(orgaoCancelacion.getTiempolimite() + ":" + orgaoCancelacion.getTiempolimiteMin());
        lc.setParent(lstm);
        lc.setStyle("text-align:right");

        lc = new Listcell(orgaoCancelacion.getIndnaopermitetransferencia() != null && orgaoCancelacion.getIndnaopermitetransferencia() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
        lc.setParent(lstm);
        lc.setStyle("text-align:center");
        
        lc = new Listcell(orgaoCancelacion.getIndBloqueioRemarcado() != null && orgaoCancelacion.getIndBloqueioRemarcado() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
        lc.setParent(lstm);
        lc.setStyle("text-align:center");

        lc = new Listcell(orgaoCancelacion.getTiempolimiteCambio() != null ? (orgaoCancelacion.getTiempolimiteCambio() + ":" + orgaoCancelacion.getTiempolimiteCambioMin()): "");
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getPorcCambioEmbarcado() != null ? df.format(orgaoCancelacion.getPorcCambioEmbarcado()): "");
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getTempoCancelNaoPresencialHora() != null ? (orgaoCancelacion.getTempoCancelNaoPresencialHora() + ":" + orgaoCancelacion.getTempoCancelNaoPresencialMin()): "");
        lc.setParent(lstm);
        lc.setStyle("text-align:right");

		lc = new Listcell(orgaoCancelacion.getIndMultaTransferencia() != null && orgaoCancelacion.getIndMultaTransferencia() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		lc.setStyle("text-align:center");

		lc = new Listcell(orgaoCancelacion.getIndDevolucaoTransferencia() != null && orgaoCancelacion.getIndDevolucaoTransferencia() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		lc.setStyle("text-align:center");

		lc = new Listcell(orgaoCancelacion.getIndCobrancaTransferencia() != null && orgaoCancelacion.getIndCobrancaTransferencia() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		lc.setStyle("text-align:center");

        lc = new Listcell(orgaoCancelacion.getIndSolicitaDatosTarjeta() != null && orgaoCancelacion.getIndSolicitaDatosTarjeta() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
        lc.setParent(lstm);
        lc.setStyle("text-align:center");

		lc = new Listcell(orgaoCancelacion.getIndOrgaoconcedentetransf() != null && orgaoCancelacion.getIndOrgaoconcedentetransf() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		lc.setStyle("text-align:center");
		
		lc = new Listcell(orgaoCancelacion.getIndMultaDevolucaoAberto() != null && orgaoCancelacion.getIndMultaDevolucaoAberto() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		lc.setStyle("text-align:center");
		
	    lc = new Listcell(orgaoCancelacion.getPorcMultaResolAgerba() != null ? df.format(orgaoCancelacion.getPorcMultaResolAgerba()) : null);
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getQtdeLimiteTransfReat() != null ? orgaoCancelacion.getQtdeLimiteTransfReat().toString() : null);
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getTempolimiteAposSaidaH() + ":" + orgaoCancelacion.getTempolimiteAposSaidaMin());
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getTrocaMesmoDiaAntesHora() + ":" + orgaoCancelacion.getTrocaMesmoDiaAntesMin() + " <-> " + orgaoCancelacion.getTrocaMesmoDiaAposHora() + ":" + orgaoCancelacion.getTrocaMesmoDiaAposMin());
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
        lc = new Listcell(orgaoCancelacion.getTempoTrocaPoltronaH() + ":" + orgaoCancelacion.getTempoTrocaPoltronaMin());
        lc.setParent(lstm);
        lc.setStyle("text-align:right");
        
    	lc = new Listcell(orgaoCancelacion.getIndPermPagMultaPreEstorno() != null && orgaoCancelacion.getIndPermPagMultaPreEstorno() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		lc.setStyle("text-align:center");

        
        lc = new Listcell(orgaoCancelacion.getIndImprimeComprovanteTransferencia() != null && orgaoCancelacion.getIndImprimeComprovanteTransferencia() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
        lc.setParent(lstm);
        lc.setStyle("text-align:right");


        lstm.setAttribute("data", orgaoCancelacion);
    }
}
